Bug 1822667 - [4.4][OSP] [BUG] Controllers don't seem to respect 'ignore-volume-az = true'
Summary: [4.4][OSP] [BUG] Controllers don't seem to respect 'ignore-volume-az = true'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.2.z
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 4.4.z
Assignee: Mike Fedosin
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1786446
Blocks: 1822680
TreeView+ depends on / blocked
 
Reported: 2020-04-09 15:05 UTC by Mike Fedosin
Modified: 2020-05-18 13:35 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1786446
Environment:
Last Closed: 2020-05-18 13:35:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24854 None closed Bug 1822667: UPSTREAM: 88424: Respect ignore-volume-az option in admission plugin 2020-07-13 16:03:55 UTC
Red Hat Product Errata RHBA-2020:2133 None None None 2020-05-18 13:35:29 UTC

Comment 1 Jan Safranek 2020-04-21 14:03:36 UTC
Waiting for 4.4.z to open.
https://github.com/openshift/origin/pull/24854

Comment 5 Wei Duan 2020-05-12 02:28:25 UTC
Verified pass.

[wduan@MINT 01_general]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-05-08-224132   True        False         99m     Cluster version is 4.4.0-0.nightly-2020-05-08-224132


[wduan@MINT 01_general]$ oc get pv pvc-ff1366b6-8e8b-4fd4-b7e7-6c4535663a0a --show-labels
NAME                                       CAPACITY   ACCESS MODES   RECLAIM POLICY   STATUS   CLAIM             STORAGECLASS   REASON   AGE   LABELS
pvc-ff1366b6-8e8b-4fd4-b7e7-6c4535663a0a   2Gi        RWO            Delete           Bound    wduan01/mypvc01   standard                54s   <none>

[wduan@MINT 01_general]$ oc get pv pvc-ff1366b6-8e8b-4fd4-b7e7-6c4535663a0a -o yaml
apiVersion: v1
kind: PersistentVolume
metadata:
  annotations:
    kubernetes.io/createdby: cinder-dynamic-provisioner
    pv.kubernetes.io/bound-by-controller: "yes"
    pv.kubernetes.io/provisioned-by: kubernetes.io/cinder
  creationTimestamp: "2020-05-12T02:25:19Z"
  finalizers:
  - kubernetes.io/pv-protection
  name: pvc-ff1366b6-8e8b-4fd4-b7e7-6c4535663a0a
  resourceVersion: "58213"
  selfLink: /api/v1/persistentvolumes/pvc-ff1366b6-8e8b-4fd4-b7e7-6c4535663a0a
  uid: 9d2782d1-9204-403f-9b4b-0d131ff19750
spec:
  accessModes:
  - ReadWriteOnce
  capacity:
    storage: 2Gi
  cinder:
    volumeID: f2d72129-c10a-41b7-a400-b1ebd95c0670
  claimRef:
    apiVersion: v1
    kind: PersistentVolumeClaim
    name: mypvc01
    namespace: wduan01
    resourceVersion: "58209"
    uid: ff1366b6-8e8b-4fd4-b7e7-6c4535663a0a
  persistentVolumeReclaimPolicy: Delete
  storageClassName: standard
  volumeMode: Filesystem
status:
  phase: Bound

Comment 7 errata-xmlrpc 2020-05-18 13:35:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2133


Note You need to log in before you can comment on or make changes to this bug.